Skip to content
Docs

List image tags

GEThttps://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/tags/list
GET /v2/:teamSlug/:projectSlug/:repositoryName/tags/list List the tags in a repository. The last parameter accepts the opaque cursor from a previous response's Link header. Unparseable cursors return HTTP 400 with code invalid_cursor.
https://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/tags/list
const response = await fetch('https://api.vercel.com/v2/teamSlug/projectSlug/repositoryName/tags/list?n=123&last=string', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
{
"name": "Example Name",
"tags": []
}
teamSlugstringRequired
Single Docker repository team slug component.
projectSlugstringRequired
Single Docker repository project slug component.
repositoryNamestringRequired
Single Docker repository name component.
nintegerOptional
laststringOptional
Opaque pagination cursor returned by a previous list response.
200Success
namestringRequired
tagsarrayRequired
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error